package com.cocos.aidl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.cocos.aidl.ICocosBinderFactory;
import com.cocos.aidl.ICocosBinderFactoryCallback;
import com.cocos.aidl.ICocosRemoteRender;

public abstract class Stub extends Binder implements ICocosBinderFactory {
  private static final String DESCRIPTOR = "com.cocos.aidl.ICocosBinderFactory";
  
  static final int TRANSACTION_isValid = 1;
  
  static final int TRANSACTION_setFactoryCallback = 2;
  
  static final int TRANSACTION_setClientOffscreenMode = 3;
  
  static final int TRANSACTION_sendToScript = 4;
  
  static final int TRANSACTION_returnToScript = 5;
  
  static final int TRANSACTION_createInstance = 6;
  
  static final int TRANSACTION_destroyInstance = 7;
  
  public Stub() {
    attachInterface((IInterface)this, "com.cocos.aidl.ICocosBinderFactory");
  }
  
  public static ICocosBinderFactory asInterface(IBinder obj) {
    if (obj == null)
      return null; 
    IInterface iin = obj.queryLocalInterface("com.cocos.aidl.ICocosBinderFactory");
    if (iin != null && iin instanceof ICocosBinderFactory)
      return (ICocosBinderFactory)iin; 
    return (ICocosBinderFactory)new Proxy(obj);
  }
  
  public IBinder asBinder() {
    return (IBinder)this;
  }
  
  public boolean onTransact(int code, Parcel data, Parcel reply, int flags) throws RemoteException {
    boolean _result;
    ICocosBinderFactoryCallback iCocosBinderFactoryCallback;
    boolean bool1;
    String str1;
    ICocosRemoteRender _arg0;
    String str2;
    byte[] arrayOfByte1;
    String _arg1;
    byte[] arrayOfByte2;
    long l1;
    String _arg2;
    long _arg3;
    ICocosRemoteRender iCocosRemoteRender1;
    String descriptor = "com.cocos.aidl.ICocosBinderFactory";
    switch (code) {
      case 1598968902:
        reply.writeString(descriptor);
        return true;
      case 1:
        data.enforceInterface(descriptor);
        _result = isValid();
        reply.writeNoException();
        reply.writeInt(_result ? 1 : 0);
        return true;
      case 2:
        data.enforceInterface(descriptor);
        iCocosBinderFactoryCallback = ICocosBinderFactoryCallback.Stub.asInterface(data.readStrongBinder());
        setFactoryCallback(iCocosBinderFactoryCallback);
        reply.writeNoException();
        return true;
      case 3:
        data.enforceInterface(descriptor);
        bool1 = (0 != data.readInt());
        setClientOffscreenMode(bool1);
        reply.writeNoException();
        return true;
      case 4:
        data.enforceInterface(descriptor);
        str1 = data.readString();
        str2 = data.readString();
        arrayOfByte2 = data.createByteArray();
        _arg3 = data.readLong();
        sendToScript(str1, str2, arrayOfByte2, _arg3);
        reply.writeNoException();
        return true;
      case 5:
        data.enforceInterface(descriptor);
        str1 = data.readString();
        arrayOfByte1 = data.createByteArray();
        l1 = data.readLong();
        returnToScript(str1, arrayOfByte1, l1);
        reply.writeNoException();
        return true;
      case 6:
        data.enforceInterface(descriptor);
        str1 = data.readString();
        _arg1 = data.readString();
        _arg2 = data.readString();
        iCocosRemoteRender1 = createInstance(str1, _arg1, _arg2);
        reply.writeNoException();
        reply.writeStrongBinder((iCocosRemoteRender1 != null) ? iCocosRemoteRender1.asBinder() : null);
        return true;
      case 7:
        data.enforceInterface(descriptor);
        _arg0 = ICocosRemoteRender.Stub.asInterface(data.readStrongBinder());
        destroyInstance(_arg0);
        reply.writeNoException();
        return true;
    } 
    return super.onTransact(code, data, reply, flags);
  }
  
  public static boolean setDefaultImpl(ICocosBinderFactory impl) {
    if (Proxy.sDefaultImpl != null)
      throw new IllegalStateException("setDefaultImpl() called twice"); 
    if (impl != null) {
      Proxy.sDefaultImpl = impl;
      return true;
    } 
    return false;
  }
  
  public static ICocosBinderFactory getDefaultImpl() {
    return Proxy.sDefaultImpl;
  }
}
